Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
BaseDatabase..::.Rename Method (String, String, String)
BaseDatabase Class See Also Send Feedback

Rename the database specified by Filename and DatabaseName.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public static void Rename(
    	string Filename,
    	string DatabaseName,
    	string NewName
    )

Visual Basic (Declaration)
    Public Shared Sub Rename ( _
    	Filename As String, _
    	DatabaseName As String, _
    	NewName As String _
    )

Visual C++
    public:
    static void Rename(
    	String^ Filename,
    	String^ DatabaseName,
    	String^ NewName
    )

#### Parameters

Filename
  Type: System..::.String
  The file to rename

DatabaseName
  Type: System..::.String
  The database to rename

NewName
  Type: System..::.String
  The new database name

# See Also

BaseDatabase Class
Rename Overload
BerkeleyDB Namespace